package com.yuchen.saas.park.service.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.park.SystemTagReqDTO;
import com.yuchen.saas.park.api.dto.park.SystemTagSubmitReqDTO;
import com.yuchen.saas.park.api.entity.park.PmgBatParkSystemTag;
import com.yuchen.saas.park.api.vo.park.SystemTagVO;
import org.nest.springwrap.core.mp.support.NestPage;

/**
 * <p>
 * 系统标签表 服务类
 * </p>
 *
 * @author zhouhanwei
 * @since 2024-11-12
 */
public interface IPmgBatParkSystemTagService extends IService<PmgBatParkSystemTag> {

    NestPage<SystemTagVO> findSystemTagPage(SystemTagReqDTO reqDTO);

    SystemTagVO getSystemTagById(Long systemTagId);

    Boolean addSystemTag(SystemTagSubmitReqDTO reqDTO);

    Boolean editSystemTag(SystemTagSubmitReqDTO reqDTO);

    Boolean removeSystemTag(Long systemTagId);
}
